VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet:

## Avaliable Methods
public method | get_day ()
public method | get_check_updates ()
public method | get_time ()
public method | set_day ()
public method | set_password ()
public method | set_username ()
public method | set_time ()
public method | get_password ()
public method | get_current_URL ()
public method | set_check_updates ()
public method | get_username ()
public method | new ()
public method | set_current_URL ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet` class Structure to set url update repository.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::get_check_updates | ( |  | ) |

Gets the value of 'check_updates' property.

Return values

  check_updates | - The current value of the field. Check for update at the pre-configured repository URL. AutoUpdateNotification#

Code:
click to view
# Number of lines of code in get_check_updates: 4
sub get_check_updates {
my ($self, %args) = @_;
return $self->{'check_updates'};
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::get_current_URL | ( |  | ) |

Gets the value of 'current_URL' property.

Return values

  current_URL | - The current value of the field. Current appliance update repository URL. Enter "default" to reset the url to the default url. String#

Code:
click to view
# Number of lines of code in get_current_URL: 4
sub get_current_URL {
my ($self, %args) = @_;
return $self->{'current_URL'};
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::get_day | ( |  | ) |

Gets the value of 'day' property.

Return values

  day | - The current value of the field. day to query for updates UpdateDay#

Code:
click to view
# Number of lines of code in get_day: 4
sub get_day {
my ($self, %args) = @_;
return $self->{'day'};
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::get_password | ( |  | ) |

Gets the value of 'password' property.

Return values

  password | - The current value of the field. password for the url update repository Secret#

Code:
click to view
# Number of lines of code in get_password: 4
sub get_password {
my ($self, %args) = @_;
return $self->{'password'};
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::get_time | ( |  | ) |

Gets the value of 'time' property.

Return values

  time | - The current value of the field. time to query for updates Format: HH:MM:SS Military (24 hour) Time Format String#

Code:
click to view
# Number of lines of code in get_time: 4
sub get_time {
my ($self, %args) = @_;
return $self->{'time'};
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::get_username | ( |  | ) |

Gets the value of 'username' property.

Return values

  username | - The current value of the field. username for the url update repository String#

Code:
click to view
# Number of lines of code in get_username: 4
sub get_username {
my ($self, %args) = @_;
return $self->{'username'};
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{current_URL} = $args{'current_URL'};
$self->{check_updates} = $args{'check_updates'};
$self->{time} = $args{'time'};
$self->{day} = $args{'day'};
$self->{username} = $args{'username'};
$self->{password} = $args{'password'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.system.update.update_struct_set');
$self->set_binding_field('key' => 'current_URL', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'check_updates', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::System', 'type_name' => 'Update::AutoUpdateNotification'));
$self->set_binding_field('key' => 'time', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'day', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::System', 'type_name' => 'Update::UpdateDay'));
$self->set_binding_field('key' => 'username', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'password', 'value' => new Com::Vmware::Vapi::Bindings::Type::SecretType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::set_check_updates | ( |  | ) |

Sets the given value for 'check_updates' property.

Parameters

  check_updates | - New value for the field. Check for update at the pre-configured repository URL.

Code:
click to view
# Number of lines of code in set_check_updates: 5
sub set_check_updates {
my ($self, %args) = @_;
$self->{'check_updates'} = $args{'check_updates'};
return;
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::set_current_URL | ( |  | ) |

Sets the given value for 'current_URL' property.

Parameters

  current_URL | - New value for the field. Current appliance update repository URL. Enter "default" to reset the url to the default url.

Code:
click to view
# Number of lines of code in set_current_URL: 5
sub set_current_URL {
my ($self, %args) = @_;
$self->{'current_URL'} = $args{'current_URL'};
return;
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::set_day | ( |  | ) |

Sets the given value for 'day' property.

Parameters

  day | - New value for the field. day to query for updates

Code:
click to view
# Number of lines of code in set_day: 5
sub set_day {
my ($self, %args) = @_;
$self->{'day'} = $args{'day'};
return;
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::set_password | ( |  | ) |

Sets the given value for 'password' property.

Parameters

  password | - New value for the field. password for the url update repository

Code:
click to view
# Number of lines of code in set_password: 5
sub set_password {
my ($self, %args) = @_;
$self->{'password'} = $args{'password'};
return;
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::set_time | ( |  | ) |

Sets the given value for 'time' property.

Parameters

  time | - New value for the field. time to query for updates Format: HH:MM:SS Military (24 hour) Time Format

Code:
click to view
# Number of lines of code in set_time: 5
sub set_time {
my ($self, %args) = @_;
$self->{'time'} = $args{'time'};
return;
}

public method Com::Vmware::Appliance::Techpreview::System::Update::UpdateStructSet::set_username | ( |  | ) |

Sets the given value for 'username' property.

Parameters

  username | - New value for the field. username for the url update repository

Code:
click to view
# Number of lines of code in set_username: 5
sub set_username {
my ($self, %args) = @_;
$self->{'username'} = $args{'username'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/System/Update.pm